## make 3.79.1-1.potato.1

=== glob/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# -*-Makefile-*-, or close enough


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = /etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = /usr/share/info
mandir = /usr/share/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/make
pkglibdir = $(libdir)/make
pkgincludedir = $(includedir)/make

top_builddir = ..

ACLOCAL = /tmp/make-3.79.1/missing aclocal
AUTOCONF = /tmp/make-3.79.1/missing autoconf
AUTOMAKE = /tmp/make-3.79.1/missing automake
AUTOHEADER = /tmp/make-3.79.1/missing autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i586-pc-linux
host_triplet = i586-pc-linux-gnu
ALL_LINGUAS = de es fr ja ko nl pl pt_BR ru
ALL_MOFILES =  de.mo es.mo fr.mo ja.mo ko.mo nl.mo pl.mo pt_BR.mo ru.mo
ALL_POFILES =  de.po es.po fr.po ja.po ko.po nl.po pl.po pt_BR.po ru.po
AR = ar
CC = gcc
CPP = gcc -E
GETCONF = getconf
GLOBDIR = 
GLOBINC = 
GLOBLIB = 
LIBOBJS =  getloadavg.o
MAKEINFO = makeinfo
MAKE_HOST = i586-pc-linux-gnu
MOFILES =  de.mo es.mo fr.mo ja.mo ko.mo nl.mo pl.mo pt_BR.mo ru.mo
PACKAGE = make
PERL = perl
RANLIB = ranlib
REMOTE = stub
VERSION = 3.79.1

AUTOMAKE_OPTIONS = 1.4 foreign

noinst_LIBRARIES = libglob.a

libglob_a_SOURCES = glob.c glob.h fnmatch.c fnmatch.h

EXTRA_DIST = COPYING.LIB Makefile.ami SCOPTIONS SMakefile 			configure.bat

mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(noinst_LIBRARIES)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
CPPFLAGS = 
LDFLAGS = 
LIBS = 
libglob_a_LIBADD = 
libglob_a_OBJECTS =  glob.o fnmatch.o
CFLAGS = -g -O2
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  COPYING.LIB ChangeLog Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(libglob_a_SOURCES)
OBJECTS = $(libglob_a_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps glob/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstLIBRARIES:

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)

distclean-noinstLIBRARIES:

maintainer-clean-noinstLIBRARIES:

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

libglob.a: $(libglob_a_OBJECTS) $(libglob_a_DEPENDENCIES)
	-rm -f libglob.a
	$(AR) cru libglob.a $(libglob_a_OBJECTS) $(libglob_a_LIBADD)
	$(RANLIB) libglob.a

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = glob

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile $(LIBRARIES)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-noinstLIBRARIES mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-noinstLIBRARIES clean-compile clean-tags clean-generic \
		mostlyclean-am

clean: clean-am

distclean-am:  distclean-noinstLIBRARIES distclean-compile \
		distclean-tags distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-noinstLIBRARIES \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-noinstLIBRARIES distclean-noinstLIBRARIES \
clean-noinstLIBRARIES maintainer-clean-noinstLIBRARIES \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir info-am info dvi-am dvi check \
check-am installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
make (3.79.1-1.potato.1) stable; urgency=low

  * This is an update for potato. There are no changes made since the
    update for woody 45 days ago. The old make did not honour the
    MAKEFILES variable, this closes: Bug#71261
  * I have heard rimours that the old make did not correctly build libc
    either, and one needs this version. I can't say for sure, since no bug
    was ever filed. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Sep 2000 14:04:10 -0500

make (3.79.1-1) unstable; urgency=low

  * New upstream release. closes: Bug#67862
    * .SECONDARY with no prerequisites now prevents any target from being
       removed because make thinks it's an intermediate file, not just those
       listed in the makefile.
    * New configure option --disable-nsec-timestamps will keep make from
      using sub-second timestamps on systems which support it.  If your
      build process depends on proper timestamp-preserving behavior of tools
      like "cp -p" you might need this option, since "cp -p" (right now)
      doesn't preserve the sub-second portion of the timestamp.
  * Folded Adam Heath's fix for $(shell). closes: #67568

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 28 Jul 2000 16:15:10 -0500

make (3.79-2.1) unstable; urgency=low

  * Set the first byte of buffer to 0, in func_shell.  Closes: #67568.

 -- Adam Heath <doogie@debian.org>  Fri, 21 Jul 2000 18:43:17 -0500

make (3.79-2) unstable; urgency=low

  * Hmm. Setting the install prefix to a relative value does not work; the
    locale files were not installed in debian/tmp/usr/share/locale, but
    locallyinto i18n/debian/tmp/usr/share/locale. This has been fixed
    now. closes: Bug#66237

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 12 Jul 2000 10:05:53 -0500

make (3.79-1) unstable; urgency=low

  * New upstream release, adds fixes already present in Debian. This
    closes: Bug#62619
    changes are: 
     * GNU make optionally supports internationalization and locales via
       the GNU gettext (or local gettext if suitable) package.  See the
       ABOUT-NLS file for more information on configuring GNU make for
       NLS.  
     * Previously, GNU make quoted variables such as MAKEFLAGS and
       MAKEOVERRIDES for proper parsing by the shell.  This allowed them to
       be used within make build scripts.  However, using them there is not
       proper behavior: they are meant to be passed to subshells via the
       environment.  Unfortunately the values were not quoted properly to be
       passed through the environment.  This meant that make didn't properly
       pass some types of command line values to submakes.
   
       With this version we change that behavior: now these variables are
       quoted properly for passing through the environment, which is the
       correct way to do it.  If you previously used these variables
       explicitly within a make rule you may need to re-examine your use for
       correctness given this change.     
     * A new psuedo-target .NOTPARALLEL is available.  If defined, the
       current makefile is run serially regardless of the value of -j.
       However, submakes are still eligible for parallel execution.
     * The --debug option has changed: it now allows optional flags
       controlling the amount and type of debugging output.  By default only
       a minimal amount information is generated, displaying the names of
       "normal" targets (not makefiles) were deemed out of date and in need
       of being rebuilt.
     
       Note that the -d option behaves as before: it takes no arguments and
       all debugging information is generated.     
     * The `-p' (print database) output now includes filename and linenumber
       information for variable definitions, to help debugging.
     * The wordlist function no longer reverses its arguments if the "start"
       value is greater than the "end" value.  If that's true, nothing is
       returned.
     * Hartmut Becker provided many updates for the VMS port of GNU make.
       See the readme.vms file for more details.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 28 Apr 2000 17:37:53 -0500

make (3.78.1-8) frozen unstable; urgency=low

  * Use absolute links when related links would not work, for the
    /usr/doc/ symlink.
  * Added a dependency on fileutiles >=4.0, since the package would fail
    to install with older fileutils.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 28 Mar 2000 01:58:05 -0600

make (3.78.1-7) frozen unstable; urgency=low

  * Fixed security fix to match upstream changes. Fixed an upgrade bug when
    /usr/doc happens to be a symlink, and does not point to
    /usr/share/doc. A couple of people were bitten by this.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Feb 2000 22:27:05 -0600

make (3.78.1-6) frozen unstable; urgency=high

  * Use mkstemp where available. This fixes a security bug in make. 
    The bug report does not seem to have made its way into the bts yet. 

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Feb 2000 18:07:20 -0600

make (3.78.1-5) frozen unstable; urgency=low

  * The postinst was vulnerable to being affected by symlinks (if, for
    some reason, the prerm failed). This has happended for latex2html; and
    created a grave bug. 
  * There was a bug in the postinst in a case statement, that caused
    installation to fail for certain situations.
  * Also fixed an lintian warning

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Feb 2000 15:46:36 -0600

make (3.78.1-4) frozen unstable; urgency=low

  * Added a glibc fix to dir.c (the bug expressed itself as a wildards
    bug). Thaks go to  Richard B. Kreckel for spotting the bug, and to
    Andreas Jaeger and Joel Klecker for the solution.  Forwarded fix upstream.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  7 Feb 2000 01:18:30 -0600

make (3.78.1-3) unstable; urgency=low

  * Release to fold in NMU fixed bugs. closes: Bug#47686, #47362, #49137, #49381


=== debian/control ===
Source: make
Section: devel
Priority: standard
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.2.1.0
Build-Depends-Indep: tetex-bin, texinfo

Package: make
Section: devel
Priority: standard
Architecture: any
Description: The GNU version of the "make" utility.
 GNU Make is a program that determines which pieces of a large
 program need to be recompiled and issues the commands to recompile
 them, when necessary. More information about GNU Make can be
 found in the `make' Info page.
Depends: ${shlibs:Depends}, fileutils (>= 4.0)

Package: make-doc
Section: doc
Priority: optional
Architecture: all
Description: Documentation for the GNU version of the "make" utility.
 This package contains the postscript and HTML documentation for GNU
 Make. 
Suggests: make
Depends: fileutils (>= 4.0)

=== debian/rules ===
#! /usr/bin/make -f
############################ -*- Mode: Makefile -*- ###########################
## rules ---
## Author           : Manoj Srivastava ( srivasta@tiamat.datasync.com )
## Created On       : Tue Mar  4 10:49:39 1997
## Created On Node  : tiamat.datasync.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Mon Sep 11 14:42:14 2000
## Last Machine Used: glaurung.green-gryphon.com
## Update Count     : 53
## Status           : Unknown, Use with caution!
## HISTORY          :
## Description      :
##
###############################################################################

ifdef ARCH
  ha:=-a$(ARCH)
endif

# set the dpkg-architecture vars
export DEB_BUILD_ARCH      := $(shell dpkg-architecture $(ha) \
                                        -qDEB_BUILD_ARCH)
export DEB_BUILD_GNU_CPU   := $(shell dpkg-architecture $(ha) \
                                        -qDEB_BUILD_GNU_CPU)
export DEB_BUILD_GNU_SYSTEM:= $(shell dpkg-architecture $(ha) \
                                        -qDEB_BUILD_GNU_SYSTEM)
export DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture $(ha) \
                                        -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_ARCH       := $(shell dpkg-architecture $(ha) \
                                        -qDEB_HOST_ARCH)
export DEB_HOST_GNU_CPU    := $(shell dpkg-architecture $(ha) \
                                        -qDEB_HOST_GNU_CPU)
export DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture $(ha) \
                                        -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture $(ha) \
                                        -qDEB_HOST_GNU_TYPE)


#
# VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | \
#                          sed 's/^Version: *//')
#

# The name of the package (for example, `emacs').
package   := make
d_package := make-doc

# Configuration variables (these should be pretty generic)
CC = cc
CFLAGS = -O2
PREFIX = /usr
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man
MAN1DIR = $(MANDIR)/man1
DOCDIR = $(PREFIX)/share/doc/$(package)
INFODIR=$(PREFIX)/share/info

#  Package specific stuff.  The idea is to try to make the rules
#  generic (gradually).

FILES_TO_CLEAN  = TAGS tags make.aux make.cp make.cps make.fn \
                  make.fns make.toc debian/files config.cache \
                  make.dvi make.ps
DIRS_TO_CLEAN   = debian/tmp debian/tmp-doc debian/html
STAMPS_TO_CLEAN =  stamp-configure stamp-build stamp-binary stamp-doc \
                   stamp-html
SRCTOP := $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
DOC_TOP=$(SRCTOP)/debian/tmp-doc
DOC_DOC=$(DOC_TOP)/usr/share/doc/$(d_package)
DOC_MENU=$(DOC_TOP)/usr/lib/menu
DOC_DBASE=$(DOC_TOP)/usr/share/doc-base

PKG_TOP=$(SRCTOP)/debian/tmp
PKG_DOC=$(PKG_TOP)/usr/share/doc/$(package)
PKG_MENU=$(PKG_TOP)/usr/lib/menu
PKG_DBASE=$(PKG_TOP)/usr/share/doc-base
PKG_INFO=$(PKG_TOP)/usr/share/info
PKG_MANDIR=$(PKG_TOP)/usr/share/man/
PKG_MAN=$(PKG_MANDIR)/man1
PKG_BIN=$(PKG_TOP)/usr/bin

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP += -s
  LDFLAGS += -s
endif



install_file= install -p -o root -g root -m 644
install_program= install -p -o root -g root -m 755
make_directory= install -d -o root -g root -m 755

all build: stamp-build
# Builds the binary package.

configure: stamp-configure

stamp-configure:
	./configure --verbose --prefix=$(PREFIX) --mandir=$(MANDIR) \
                    --infodir=$(INFODIR) --sysconfdir=/etc          \
                     && touch stamp-configure


stamp-build:
# Builds the binary package.
	$(checkdir)
	-test -f stamp-configure || $(MAKE) -f debian/rules configure
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	touch stamp-build

clean:
# Undoes the effect of `$(MAKE) -f debian/rules build'.
	$(checkdir)
	-test -f Makefile && $(MAKE) distclean
	-rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
	-rm -rf $(DIRS_TO_CLEAN)
	-rm -f core `find . \( -name '*.orig' -o -name '*.rej' -o -name '*~' \
                -o -name '*.bak' -o -name '#*#' -o -name '.*.orig' \
                -o -name '.*.rej' -o -name '.SUMS' -o -size 0 \) -print` TAGS

binary: binary-indep binary-arch

binary-indep: html stamp-doc

stamp-doc: html
	@test 0 = $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') || (echo need root priviledges; exit 1)
	$(checkdir)
	test -f stamp-configure|| $(MAKE) -f debian/rules configure
	rm -rf               $(DOC_TOP) $(DOC_TOP).deb
	$(make_directory)    $(DOC_TOP)/DEBIAN
	$(make_directory)    $(DOC_DOC)
	$(make_directory)    $(DOC_MENU)
	$(make_directory)    $(DOC_DBASE)
	$(MAKE)              make.ps
	$(install_file)      make.ps          	     $(DOC_DOC)
	$(install_file)      ChangeLog        	     $(DOC_DOC)/changelog
	$(install_file)      NEWS             	     $(DOC_DOC)/NEWS
	$(install_file)      debian/changelog 	     $(DOC_DOC)/changelog.Debian
	gzip -9fqr           $(DOC_DOC)/
# Make sure the copyright file is not compressed
	$(install_file)      debian/copyright        $(DOC_DOC)/copyright
	$(install_file)      debian/html/make_*.html $(DOC_DOC)/
	$(install_file)      debian/menuentry        $(DOC_MENU)/$(d_package)
	$(install_file)      debian/docentry         $(DOC_DBASE)/$(d_package)
	$(install_program)   debian/doc.postinst     $(DOC_TOP)/DEBIAN/postinst
	$(install_program)   debian/doc.postrm       $(DOC_TOP)/DEBIAN/postrm
	$(install_program)   debian/doc.prerm        $(DOC_TOP)/DEBIAN/prerm
	dpkg-gencontrol      -pmake-doc -isp         -P$(DOC_TOP)
	chown -R root.root   $(DOC_TOP)
	dpkg --build         $(DOC_TOP) ..
	touch                stamp-doc

binary-arch: build stamp-binary

stamp-binary:
# Makes a binary package.
	@test root = "`whoami`" || \
		(echo need root priviledges; exit 1)
	$(checkdir)
	test -f stamp-build  || $(MAKE) -f debian/rules build
	rm -rf               $(PKG_TOP) $(PKG_TOP).deb
	rm -f                $(PKG_INFO)/$(package).info*.gz
	$(make_directory)    $(PKG_TOP)
	$(make_directory)    $(PKG_TOP)/DEBIAN
	$(make_directory)    $(PKG_BIN)
	$(make_directory)    $(PKG_INFO)
	$(make_directory)    $(PKG_MAN)
	$(make_directory)    $(PKG_DOC)
	$(MAKE)              install           prefix=$(PKG_TOP)/usr \
	      infodir=$(PKG_INFO) mandir=$(PKG_MANDIR)
	$(install_file)      ChangeLog 	       $(PKG_DOC)/changelog
	$(install_file)      README 	       $(PKG_DOC)/README
	$(install_file)      NEWS 	       $(PKG_DOC)/NEWS
	$(install_file)      debian/changelog  $(PKG_DOC)/changelog.Debian
	gzip -9frq           $(PKG_DOC)/
# Make sure the copyright file is not compressed
	$(install_file)      debian/copyright  $(PKG_DOC)/copyright
	gzip -9fqr           $(PKG_MAN)/
	gzip -9fq            $(PKG_INFO)/$(package).info*
	$(install_program)   debian/postinst  $(PKG_TOP)/DEBIAN/postinst
	$(install_program)   debian/prerm $(PKG_TOP)/DEBIAN/prerm
	dpkg-shlibdeps       $(PKG_BIN)/make
	dpkg-gencontrol      -pmake -isp -P$(PKG_TOP)
	chown -R root.root   $(PKG_TOP)
	dpkg --build         $(PKG_TOP) ..
	touch                stamp-binary

html: stamp-html

stamp-html:
	$(checkdir)
	$(make_directory) debian/html
	(cd debian/html; \
	 texi2html -doctype html2 -expandinfo -glossary -menu \
	           -split_chapter -verbose  ../../make.texinfo)
	touch stamp-html

checkroot:
	@test 0 = $$(id | sed -e 's/(.*$$//' -e 's/^uid=//') || \
		(echo need root priviledges; exit 1)

define checkdir
	test -f  make.h -a -f debian/rules
endef

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false


.PHONY: binary binary-arch binary-indep clean

## make 3.80+3.81.b4-1

=== debian/changelog ===
make (3.80+3.81.b4-1) unstable; urgency=low

  * New upstream pre release
  * Bug fix: "FTBFS due to timestamp skews", thanks to Loïc Minier
    Use MAINTAINER_MODE instead.                        (Closes: #343069).
  * Bug fix: "make: Missing information about backward-incompatibility",
    thanks to Vincent Lefevre. As Ken Bloom pointed out, the correct
    section is command execution.                        (Closes: #343088).
  * Since there is a new texinfo.tex we use now, no longer remove it,
    since autoreconf shall fail if that file is missing.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 13 Dec 2005 22:43:19 -0600

make (3.80+3.81.b3.1-1) unstable; urgency=low

  * New upstream CVS HEAD (we are in a pre-release mode.
  * Bug fix: "make: new version breaks cdbs", thanks to Aurelien Jarno
                                                         (Closes: #342879).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 12 Dec 2005 13:38:47 -0600

make (3.80+3.81.b3-1) unstable; urgency=low

  * New upstream pre-release.
  * Bug fix: "make: continued command lines are not passed to the shell
    correctly", thanks to Jeff Sheinberg. This has been fixed in this release.
    (http://savannah.gnu.org/bugs/?func=detailitem&item_id=1332)  (Closes: #59311).
  * Bug fix: "make: bogus output of make -np", thanks to P�sztorSzil�rd I
    believe this bug is the result of a known, rare, and already-fixed
    problem with the parser that occurs if a line is exactly the right
    length.                                                      (Closes: #117566).
  * Bug fix: "make segfault with -t", thanks to Philipp Meier
    (https://savannah.gnu.org/bugs/index.php?func=detailitem&item_id=1418)
                                                                 (Closes: #279900).
  * Bug fix: "make -f '' dumps core", thanks to Peter Maydell    (Closes: #164165).
  * Bug fix: "make: documentation of VPATH does not match behavior",
    thanks to Matthew Swift                                       (Closes: #176639).

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  9 Dec 2005 21:28:14 -0600

make (3.80-12) unstable; urgency=low

  * Bug fix: "FTBFS: DVI file cannot be opened", thanks to Matt Kraai. It
    seemed odd to me that the buildd's do not seem to have a problem. On
    investigation, if one does an apt-get source make,
    ./config/texinfo.tex is still there: merely removing it from my
    working tree does not remove it from the unpacked, patched source
    tree, since diff merely ignores file deletions. I worked for me, since
    the file was actually gone from my working dir; it worked on buildd's,
    since they never remake the arch independent parts. So, now we
    aggressively delete ./config/texinfo.tex all through the build and
    clean process.                                          (Closes: #334953).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  6 Dec 2005 11:19:45 -0600

make (3.80-11) unstable; urgency=low

  * Bug fix: "make: FTBFS with teTeX-3.0", thanks to Frank Küster. Remove
    the offending file (though not just in the clean target) (Closes: #322353).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 10 Aug 2005 14:09:28 -0500

make (3.80-10) unstable; urgency=low

  * Bug fix: "FTBFS: Cannot find HTML documentation", thanks to Matt Kraai
                                                           (Closes: #317859).
  * Bug fix: "make: [INTL:de] German PO file corrections", thanks to Jens
    Seidel                                                 (Closes: #313988).
  * Bug fix: "make: broken reference in info documentation", thanks to
    Jason McCarty                                          (Closes: #286766).
  * Bug fix: "make: eval function within 'ifeq... else... endif' causes
    error", thanks to François Duranleau                   (Closes: #296482).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  7 Aug 2005 08:23:35 -0500

make (3.80-9) unstable; urgency=low

  * Bug fix: "make: reads uninitialized memory", thanks to Steinar
    H. Gunderson                                    (Closes: #260468).
  * Bug fix: "XSI:ism in debian-scripts", thanks to David Weinehall
                                                    (Closes: #257578).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 22 Jul 2004 13:01:45 -0500

make (3.80-8) unstable; urgency=low

  * Bug fix: "make: Explanations file cut off on right", thanks to Ross
    Boylan                                             (Closes: #253357).
  * Removed the old dwww/menu entry. Now we use the preferred doc-base
    registration method.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 23 Jun 2004 00:19:49 -0500

make (3.80-7) unstable; urgency=low

  * Bug fix: "make: some options missing from manpage", thanks to Martin
    Pool. This also was previously raised in #233474. I added a note to
    the man page stating that the list of options is a partial list, and
    pointed to the info docs for an authoritative list. (Closes: #243845).
  * Bug fix: "make: German l10n: Updating po/de.po", thanks to Florian
    Ernst                                               (Closes: #244119).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Apr 2004 16:32:07 -0500

make (3.80-6) unstable; urgency=low

  * make_3.80-5(ia64/unstable): FTBFS: missing build-depends?, Actually,
    no. I got bitten by the non support of build-deps-indep again. I have
    now duplicated the indep dependencies into build depends, so this
    should now work. 
  * Added an explanation for the behaviour of make, which demonstrates
    that the dry-run of double colon rules and the behaviour of multi
    target rules is expected behaviour. 
  * Bug fix: "make: strange behavior with multi-target rules", thanks to
    Ian Zimmerman. Not a bug, as documented in the explanations file
    referred to above.                                  (Closes: #218367).
  * Bug fix: "dry-run of double-colon rules?", thanks to Fumitoshi UKAI


=== debian/control ===
Source: make
Section: devel
Priority: standard
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.6.2.0
Build-Depends-Indep: tetex-bin, texi2html (>= 1.76-1)
Build-Depends: gettext, texinfo, tetex-bin, texi2html (>= 1.76-1)

Package: make
Section: devel
Priority: standard
Architecture: any
Description: The GNU version of the "make" utility.
 GNU Make is a program that determines which pieces of a large
 program need to be recompiled and issues the commands to recompile
 them, when necessary. More information about GNU Make can be
 found in the `make' Info page. The upstream sources for this package
 are available at the location ftp://ftp.gnu.org/gnu/make/
Depends: ${shlibs:Depends}

Package: make-doc
Section: doc
Priority: optional
Architecture: all
Description: Documentation for the GNU version of the "make" utility.
 This package contains the postscript and HTML documentation for GNU
 Make. The upstream sources for this package are available at the location
 ftp://ftp.gnu.org/gnu/make/
Suggests: make

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

ftp://ftp.gnu.org/pub/gnu/make/make-(.*)\.tar\.gz

## make gtfs-0.3

=== requirements.txt ===
Jinja2==2.7.3
MarkupSafe==0.23
Pygments==1.6
Shapely==1.4.0
Sphinx==1.2.3
certifi==14.05.14
docutils==0.12
gnureadline==6.3.3
ipython==2.2.0
nose==1.3.3
numpy==1.8.1
pandas==0.14.1
python-dateutil==2.2
pytz==2014.4
pyzmq==14.3.1
six==1.7.3
tornado==4.0
utm==0.3.1

## make gtfs-0.4

=== requirements.txt ===
--- 
+++ 
@@ -10,9 +10,11 @@
 nose==1.3.3
 numpy==1.8.1
 pandas==0.14.1
+pkginfo==1.1
 python-dateutil==2.2
 pytz==2014.4
 pyzmq==14.3.1
+requests==2.4.1
 six==1.7.3
 tornado==4.0
 utm==0.3.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/make_gtfs.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/make_gtfs.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/make_gtfs"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/make_gtfs"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## make test

=== Makefile ===
TARGET = test
SRC = main.c bob.c sally.c dave.c


OBJFILES = $(SRC:%.c=%.o) $(CPPSRC:%.cpp=%.o) 

CC = gcc
LD = gcc

# Uncommend to enable rs232 debug on USART0
CFLAGS+= -DI_SHOULD_NOT_SEE_THIS

MSG_ASSEMBLING          = "ASM     $<"
MSG_COMPILING           = "CC      $<"

all : bin

bin: $(TARGET)



$(TARGET): $(OBJFILES)
	$(LD) $(LDFLAG) $^ $(LDLIBS) -o $@

%o : %c
	@echo $(MSG_COMPILING)
	@$(CC) -c $(CFLAGS) $(INCDIR) $< -o $@
	


-include $(OBJFILES:.o=.d)


clean:
	rm -f $(TARGET) $(OBJFILES) $(OBJFILES:.o=.d)

## make var-0.4.0

=== test/Makefile ===

H = hello
W = world
